Get Monitoring Settings

Get Monitoring Settings
Get monitoring settings for a site

Retrieve monitoring settings for a specific site, including the list of scanner IPs excluded from infra monitoring.

Excluded scanner IPs are filtered out of infra monitoring flow data to prevent security scanners and vulnerability assessment tools from generating noise in monitoring results. Supported formats:

  • Single IP: "192.168.1.1"
  • IP range: "10.0.0.1-10.0.0.5"
  • CIDR: "192.168.1.0/24"

The {site-id} is the UUID of the NSX site (federation member or standalone). To update the exclusion list, use PUT /monitoring/site-settings/{site-id}.

Request
URI
GET
https://{api_host}/intelligence/monitoring/site-settings/{site-id}
COPY
Path Parameters
string
site-id
Required  

The unique identifier of the site

site-id example
5cf83f93-f9dd-4898-a345-44513572c557

Authentication
This operation uses the following authentication methods.
Responses
200

OK. Successfully retrieved monitoring settings.

Returns MonitoringSettings of type(s) application/json
{
    "site_id": "5cf83f93-f9dd-4898-a345-44513572c557",
    "excluded_scanner_ips": []
}
string
site_id
Required  

The unique identifier of the site for which the monitoring settings are configured.

array of string
excluded_scanner_ips
Optional

List of IP addresses, IP ranges, or CIDR notations to exclude from infra monitoring only. Flows where the source IP matches an excluded entry are filtered out of infra monitoring results. Destination IPs are not checked. Use this to suppress noise from security scanners and vulnerability assessment tools.

Supported formats (IPv4 and IPv6):

  • Single IP: "10.10.10.10" or "2001:db8::1"
  • IP range: "10.10.12.1-10.10.12.4"
  • CIDR block: "10.10.11.0/24" or "2001:db8::/32"

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/monitoring/site-settings/{site-id}